GET /data/projects/{project_id}/preview-files

Retrieve all preview files that are linked to a specific project. This includes images, videos, and other preview media associated with the project.

Path parameters

  • project_id string Required

Responses

  • 200 application/json

    Preview files related to given project

    Hide response attributes Show response attributes object
    • data array[object]
      Hide data attributes Show data attributes object
      • id string(uuid)
      • task_id string(uuid)
      • comment_id string(uuid)
      • revision integer
      • person_id string(uuid)
      • created_at string(date-time)
    • limit integer
    • page integer
    • is_more boolean
GET /data/projects/{project_id}/preview-files
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/preview-files" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/preview-files"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/preview-files' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "data": [
    {
      "id": "a24a6ea4-ce75-4665-a070-57453082c25",
      "task_id": "b24a6ea4-ce75-4665-a070-57453082c25",
      "comment_id": "c24a6ea4-ce75-4665-a070-57453082c25",
      "revision": 1,
      "person_id": "e24a6ea4-ce75-4665-a070-57453082c25",
      "created_at": "2024-01-15T10:30:00Z"
    }
  ],
  "limit": 100,
  "page": 1,
  "is_more": true
}